# Uses of Interface
org.eclipse.ecf.remoteservice.IRemoteServiceContainerAdapter

Packages that use IRemoteServiceContainerAdapter
Package
Description
org.eclipse.ecf.osgi.services.remoteserviceadmin
org.eclipse.ecf.provider.remoteservice.generic
org.eclipse.ecf.remoteservice
org.eclipse.ecf.remoteservice.client
org.eclipse.ecf.remoteservice.rest.client
org.eclipse.ecf.remoteservice.servlet
org.eclipse.ecf.remoteservice.util.tracker

## Uses of IRemoteServiceContainerAdapter in org.eclipse.ecf.osgi.services.remoteserviceadmin

Methods in org.eclipse.ecf.osgi.services.remoteserviceadmin that return IRemoteServiceContainerAdapter
Modifier and Type
Method
Description
`protected IRemoteServiceContainerAdapter`
AbstractContainerSelector.`hasRemoteServiceContainerAdapter(IContainer container)`
Methods in org.eclipse.ecf.osgi.services.remoteserviceadmin with parameters of type IRemoteServiceContainerAdapter
Modifier and Type
Method
Description
`protected boolean`
AbstractHostContainerSelector.`matchExistingHostContainer(ServiceReference serviceReference, Map<String,Object> properties, IContainer container, IRemoteServiceContainerAdapter adapter, ContainerTypeDescription description, String[] requiredConfigTypes, String[] requiredServiceIntents)`

## Uses of IRemoteServiceContainerAdapter in org.eclipse.ecf.provider.remoteservice.generic

Classes in org.eclipse.ecf.provider.remoteservice.generic that implement IRemoteServiceContainerAdapter
Modifier and Type
Class
Description
`class`
`RegistrySharedObject`
`class`
`RemoteServiceContainer`
Fields in org.eclipse.ecf.provider.remoteservice.generic declared as IRemoteServiceContainerAdapter
Modifier and Type
Field
Description
`protected IRemoteServiceContainerAdapter`
RemoteServiceContainer.`registry`

## Uses of IRemoteServiceContainerAdapter in org.eclipse.ecf.remoteservice

Subinterfaces of IRemoteServiceContainerAdapter in org.eclipse.ecf.remoteservice
Modifier and Type
Interface
Description
`interface`
`IOSGiRemoteServiceContainerAdapter`
Classes in org.eclipse.ecf.remoteservice that implement IRemoteServiceContainerAdapter
Modifier and Type
Class
Description
`class`
`RemoteServiceContainerAdapterImpl`
`class`
`RSARemoteServiceContainerAdapter`
A container adapter intended for use by remote service host containers.
Methods in org.eclipse.ecf.remoteservice that return IRemoteServiceContainerAdapter
Modifier and Type
Method
Description
`IRemoteServiceContainerAdapter`
IRemoteServiceContainer.`getContainerAdapter()`
Get the container adapter for this remote service container.
`IRemoteServiceContainerAdapter`
RemoteServiceContainer.`getContainerAdapter()`
Constructors in org.eclipse.ecf.remoteservice with parameters of type IRemoteServiceContainerAdapter
Modifier
Constructor
Description
``
`RemoteServiceContainer(IContainer container, IRemoteServiceContainerAdapter containerAdapter)`

## Uses of IRemoteServiceContainerAdapter in org.eclipse.ecf.remoteservice.client

Subinterfaces of IRemoteServiceContainerAdapter in org.eclipse.ecf.remoteservice.client
Modifier and Type
Interface
Description
`interface`
`IRemoteServiceClientContainerAdapter`
Remote service client container adapter.
Classes in org.eclipse.ecf.remoteservice.client that implement IRemoteServiceContainerAdapter
Modifier and Type
Class
Description
`class`
`AbstractClientContainer`
Remote service client abstract superclass.
`class`
`AbstractRSAClientContainer`
Abstract client container for use by RSA distribution providers.

## Uses of IRemoteServiceContainerAdapter in org.eclipse.ecf.remoteservice.rest.client

Classes in org.eclipse.ecf.remoteservice.rest.client that implement IRemoteServiceContainerAdapter
Modifier and Type
Class
Description
`class`
`AbstractRestClientContainer`
`class`
`RestClientContainer`
A container for REST services.

## Uses of IRemoteServiceContainerAdapter in org.eclipse.ecf.remoteservice.servlet

Classes in org.eclipse.ecf.remoteservice.servlet that implement IRemoteServiceContainerAdapter
Modifier and Type
Class
Description
`class`
`ServletServerContainer`

## Uses of IRemoteServiceContainerAdapter in org.eclipse.ecf.remoteservice.util.tracker

Fields in org.eclipse.ecf.remoteservice.util.tracker declared as IRemoteServiceContainerAdapter
Modifier and Type
Field
Description
`protected final IRemoteServiceContainerAdapter`
RemoteServiceTracker.`containerAdapter`
IRemoteServiceContainerAdapter containerAdapter against which this `RemoteServiceTracker` is tracking.
Constructors in org.eclipse.ecf.remoteservice.util.tracker with parameters of type IRemoteServiceContainerAdapter
Modifier
Constructor
Description
``
`RemoteServiceTracker(IRemoteServiceContainerAdapter containerAdapter, ID[] containerIDs, String clazz, IRemoteServiceTrackerCustomizer customizer)`
Create a `RemoteServiceTracker` object on the specified class name.
``
`RemoteServiceTracker(IRemoteServiceContainerAdapter containerAdapter, ID[] containerIDs, IRemoteServiceReference reference, IRemoteServiceTrackerCustomizer customizer)`
Create a `RemoteServiceTracker` on the specified `IRemoteServiceReference`.